This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 652204 - General protection fault in i915
General protection fault in i915
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 06:18 EST by James
Modified: 2012-03-09 13:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 13:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2010-11-11 06:18:13 EST
Using a 2.6.36 kernel built from Fedora sources (kernel-2.6.36-1.fc15), on Intel X3100 graphics. X froze, had to reboot via Magic SysRq as no other machine available to SSH in. Otherwise machine still functional. Found the following in the system log:


Nov 11 12:06:43 rhapsody kernel: [83011.178551] general protection fault: 0000 [#1] PREEMPT SMP 
Nov 11 12:06:43 rhapsody kernel: [83011.178602] last sysfs file: /sys/devices/system/cpu/cpu1/cpufreq/scaling_cur_freq
Nov 11 12:06:43 rhapsody kernel: [83011.178643] CPU 1 
Nov 11 12:06:43 rhapsody kernel: [83011.178657] Modules linked in: ppp_mppe ppp_async crc_ccitt ppp_generic slhc cryptd aes_x86_64 aes_generic hidp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc rfcomm sco bnep l2cap coretemp cpufreq_ondemand acpi_cpufreq freq_table mperf xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb iwlagn iwlcore snd_hda_codec_si3054 btusb snd_hda_codec_realtek bluetooth snd_hda_intel mac80211 snd_hda_codec snd_hwdep r8169 cfg80211 snd_seq mii shpchp iTCO_wdt snd_seq_device snd_pcm rfkill snd_timer i2c_i801 serio_raw iTCO_vendor_support microcode snd joydev soundcore wmi snd_page_alloc sdhci_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_t uhci_hcd i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Nov 11 12:06:43 rhapsody kernel: [83011.179002] 
Nov 11 12:06:43 rhapsody kernel: [83011.179002] Pid: 23426, comm: Xorg Not tainted 2.6.36-rhapsody.noecd.vm2.j915.rtf-255 #7 M720R/M720R
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RIP: 0010:[<ffffffffa0035558>]  [<ffffffffa0035558>] drm_ht_insert_item+0x6f/0xbc [drm]
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RSP: 0018:ffff88004a5a3d48  EFLAGS: 00010206
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RAX: 0000000000195453 RBX: ffff880024bfb600 RCX: ffff880022d84628
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RDX: ffffc90011f9f9f8 RSI: ffff880024bfb628 RDI: 0405058300120024
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RBP: ffff88004a5a3d48 R08: ffff880022d84628 R09: 0405058300120024
Nov 11 12:06:43 rhapsody kernel: [83011.179002] R10: 0000000000000001 R11: 0000000000195454 R12: ffff88004a5a3de8
Nov 11 12:06:43 rhapsody kernel: [83011.179002] R13: ffff880079855020 R14: ffff88005729ea20 R15: ffff880037114300
Nov 11 12:06:43 rhapsody kernel: [83011.179002] FS:  00007f2c8c490860(0000) GS:ffff880001d00000(0000) knlGS:0000000000000000
Nov 11 12:06:43 rhapsody kernel: [83011.179002] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 11 12:06:43 rhapsody kernel: [83011.179002] CR2: 00007f2c87c83000 CR3: 0000000022d70000 CR4: 00000000000006e0
Nov 11 12:06:43 rhapsody kernel: [83011.179002] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 11 12:06:43 rhapsody kernel: [83011.179002] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Nov 11 12:06:43 rhapsody kernel: [83011.179002] Process Xorg (pid: 23426, threadinfo ffff88004a5a2000, task ffff880045cbdd80)
Nov 11 12:06:43 rhapsody kernel: [83011.179002] Stack:
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  ffff88004a5a3d98 ffffffffa00852c3 00000000000fffff 00000001ffffffff
Nov 11 12:06:43 rhapsody kernel: [83011.179002] <0> ffff880000000000 ffff88007a8a6a80 ffff880079855000 0000000000000064
Nov 11 12:06:43 rhapsody kernel: [83011.179002] <0> ffffffffa00b3fd0 ffff88004a5a3de8 ffff88004a5a3ea8 ffffffffa002d60c
Nov 11 12:06:43 rhapsody kernel: [83011.179002] Call Trace:
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffffa00852c3>] i915_gem_mmap_gtt_ioctl+0x16c/0x21e [i915]
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffffa002d60c>] drm_ioctl+0x280/0x358 [drm]
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffffa0085157>] ? i915_gem_mmap_gtt_ioctl+0x0/0x21e [i915]
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffff810f0831>] ? handle_mm_fault+0x457/0xa43
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffff811ec982>] ? file_has_perm+0xa4/0xc6
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffff8112a3b9>] do_vfs_ioctl+0x432/0x481
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffff8112a45e>] sys_ioctl+0x56/0x7c
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  [<ffffffff81009d32>] system_call_fastpath+0x16/0x1b
Nov 11 12:06:43 rhapsody kernel: [83011.179002] Code: 40 00 00 00 2b 4f 04 48 d3 ea 31 c9 89 d2 48 c1 e2 03 48 03 57 10 4c 8b 02 4c 89 c7 eb 08 77 1f 48 89 f9 4c 89 cf 48 85 ff 74 14 <4c> 8b 0f 48 39 47 10 41 0f 18 09 75 e6 b8 ea ff ff ff eb 37 48 
Nov 11 12:06:43 rhapsody kernel: [83011.179002] RIP  [<ffffffffa0035558>] drm_ht_insert_item+0x6f/0xbc [drm]
Nov 11 12:06:43 rhapsody kernel: [83011.179002]  RSP <ffff88004a5a3d48>
Comment 1 Dave Jones 2012-03-09 13:06:27 EST
not a Fedora kernel.

Note You need to log in before you can comment on or make changes to this bug.